package lc.ris.svc;

import lc.esp.eo.sdk.EO;
import lc.mecha.fabric.HandlerStatus;
import lc.mecha.http.server.HttpTransaction;
import lc.mecha.http.server.PrefixedHandler;

import java.util.Set;

public class ItemReadHandler extends PrefixedHandler {
    public ItemReadHandler(Set<String> pathPrefixes) {
        super(pathPrefixes);
    }

    @Override
    public HandlerStatus handlePrefixedWebRequest(HttpTransaction request) throws Throwable {
        EO eo = new EO();
        eo.setValue("description", "Sake, Bottle, 750ml");
        // request.httpServletResponse.getOutputStream().write();
        return null;
    }
}
